Update Label Custom Field Values

Prev Next
Put
/api/v1/DataSteward/projects/{projectId}/labels/{labelId}/custom-fields

Update custom field values for a specified label

Path parameters
projectId
integer (int32) Required

Id of the project of the job having its values updated

labelId
integer (int32) Required

Id of the label having its values updated

Body parameters

List of new custom field values

object
values
Array

List of user-defined custom field Reference Keys and Values

OneOf
Configuration.Api.Models.v1.SingleValue
object (Configuration.Api.Models.v1.SingleValue)
value
string | null

The new value of the custom field

Configuration.Api.Models.v1.MultiValue
object (Configuration.Api.Models.v1.MultiValue)
values
Array of string

The new values of the custom field

string
certifyValues
boolean

Whether the custom field values are flagged as certified

object
values
Array

List of user-defined custom field Reference Keys and Values

OneOf
Configuration.Api.Models.v1.SingleValue
object (Configuration.Api.Models.v1.SingleValue)
value
string | null

The new value of the custom field

Configuration.Api.Models.v1.MultiValue
object (Configuration.Api.Models.v1.MultiValue)
values
Array of string

The new values of the custom field

string
certifyValues
boolean

Whether the custom field values are flagged as certified

object
values
Array

List of user-defined custom field Reference Keys and Values

OneOf
Configuration.Api.Models.v1.SingleValue
object (Configuration.Api.Models.v1.SingleValue)
value
string | null

The new value of the custom field

Configuration.Api.Models.v1.MultiValue
object (Configuration.Api.Models.v1.MultiValue)
values
Array of string

The new values of the custom field

string
certifyValues
boolean

Whether the custom field values are flagged as certified

object
values
Array

List of user-defined custom field Reference Keys and Values

OneOf
Configuration.Api.Models.v1.SingleValue
object (Configuration.Api.Models.v1.SingleValue)
value
string | null

The new value of the custom field

Configuration.Api.Models.v1.MultiValue
object (Configuration.Api.Models.v1.MultiValue)
values
Array of string

The new values of the custom field

string
certifyValues
boolean

Whether the custom field values are flagged as certified

Responses
200

OK

Expand All
object
errors
Array of object (FileError)

Errors that occurred during processing

object
row
integer (int32) | null
column
string | null
description
string | null
identicalCount
integer (int32)

Count of custom fields that were not changed because of an identical value.

insertedCount
integer (int32)

Count of custom fields with new values.

updatedCount
integer (int32)

Count of custom fields that were updated with new values.

deletedCount
integer (int32)

Count of custom fields with deleted values.

skippedCount
integer (int32)

Count of custom fields with skipped values.

400

Bad Request

object
errors
Array of string
string
403

Forbidden